org.apache.lucene.queryparser.xml

## Class CorePlusExtensionsParser

- java.lang.Object
- - org.apache.lucene.queryparser.xml.CoreParser
  - - org.apache.lucene.queryparser.xml.CorePlusExtensionsParser

- All Implemented Interfaces:
    QueryBuilder

      public class CorePlusExtensionsParser
      extends CoreParser

  Assembles a QueryBuilder which uses Query objects from Lucene's `sandbox` and `queries` modules in addition to core queries.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queryparser.xml.CoreParser

      `analyzer, filterFactory, maxNumCachedFilters, parser, queryFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CorePlusExtensionsParser(Analyzer analyzer, QueryParser parser)` Construct an XML parser that uses a single instance QueryParser for handling UserQuery tags - all parse operations are synchronized on this parser
    `CorePlusExtensionsParser(String defaultField, Analyzer analyzer)` Constructs an XML parser that creates a QueryParser for each UserQuery request.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.queryparser.xml.CoreParser

      `addFilterBuilder, addQueryBuilder, getQuery, parse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CorePlusExtensionsParser

          public CorePlusExtensionsParser(Analyzer analyzer,
                                  QueryParser parser)

      Construct an XML parser that uses a single instance QueryParser for handling UserQuery tags - all parse operations are synchronized on this parser
      Parameters:
        `parser` - A QueryParser which will be synchronized on during parse calls.

    - #### CorePlusExtensionsParser

          public CorePlusExtensionsParser(String defaultField,
                                  Analyzer analyzer)

      Constructs an XML parser that creates a QueryParser for each UserQuery request.
      Parameters:
        `defaultField` - The default field name used by QueryParsers constructed for UserQuery tags

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.